classification
Title: Some FormatMessageW() calls use FORMAT_MESSAGE_FROM_SYSTEM without FORMAT_MESSAGE_IGNORE_INSERTS
Type: Stage: resolved
Components: Extension Modules, Windows Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2019-06-28 23:58 by ZackerySpytz, last changed 2019-09-11 09:39 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14462 merged ZackerySpytz, 2019-06-29 00:13
PR 15742 merged miss-islington, 2019-09-09 09:20
PR 15743 merged miss-islington, 2019-09-09 09:21
PR 15822 merged ZackerySpytz, 2019-09-10 05:39
Messages (8)
msg346875 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-06-28 23:58
As mentioned in bpo-26493, some FormatMessageW() calls use the FORMAT_MESSAGE_FROM_SYSTEM flag without FORMAT_MESSAGE_IGNORE_INSERTS. This will cause FormatMessageW() to fail if there are insert sequences in the message definition.

I will create a PR for this issue.
msg351374 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-09 09:20
New changeset a6563650c835d50f7302971a5b145e94f9d0dc68 by Steve Dower (Zackery Spytz) in branch 'master':
bpo-37445: Include FORMAT_MESSAGE_IGNORE_INSERTS in FormatMessageW() calls (GH-14462)
https://github.com/python/cpython/commit/a6563650c835d50f7302971a5b145e94f9d0dc68
msg351389 - (view) Author: miss-islington (miss-islington) Date: 2019-09-09 09:50
New changeset e103732f5df13a97f610a8b80883895f7a273573 by Miss Islington (bot) in branch '3.8':
bpo-37445: Include FORMAT_MESSAGE_IGNORE_INSERTS in FormatMessageW() calls (GH-14462)
https://github.com/python/cpython/commit/e103732f5df13a97f610a8b80883895f7a273573
msg351393 - (view) Author: miss-islington (miss-islington) Date: 2019-09-09 09:56
New changeset 1af2c0ec2f63cc6516eb814c3e29d94451a52194 by Miss Islington (bot) in branch '3.7':
bpo-37445: Include FORMAT_MESSAGE_IGNORE_INSERTS in FormatMessageW() calls (GH-14462)
https://github.com/python/cpython/commit/1af2c0ec2f63cc6516eb814c3e29d94451a52194
msg351413 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-09 10:35
Going to say this doesn't qualify for 2.7 (unless someone insists and provides a PR), given the lack of reports that anything is actually impacted.
msg351760 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-09-11 05:12
Hi, Steve. I've created a backport for 2.7 (PR 15822). Please take a look.
msg351782 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-11 09:39
New changeset 289c5ea7737e44e3b150532b3498e3d3d4c70d99 by Steve Dower (Zackery Spytz) in branch '2.7':
bpo-37445: Include FORMAT_MESSAGE_IGNORE_INSERTS in FormatMessageW() calls (GH-15822)
https://github.com/python/cpython/commit/289c5ea7737e44e3b150532b3498e3d3d4c70d99
msg351783 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-11 09:39
Thanks, Zackery!
History
Date User Action Args
2019-09-11 09:39:49steve.dowersetmessages: + msg351783
2019-09-11 09:39:38steve.dowersetmessages: + msg351782
2019-09-11 05:12:51ZackerySpytzsetmessages: + msg351760
2019-09-10 05:39:06ZackerySpytzsetpull_requests: + pull_request15470
2019-09-09 10:35:46steve.dowersetstatus: open -> closed
versions: - Python 2.7
messages: + msg351413

resolution: fixed
stage: patch review -> resolved
2019-09-09 09:56:06miss-islingtonsetmessages: + msg351393
2019-09-09 09:50:34miss-islingtonsetnosy: + miss-islington
messages: + msg351389
2019-09-09 09:21:01miss-islingtonsetpull_requests: + pull_request15397
2019-09-09 09:20:49miss-islingtonsetpull_requests: + pull_request15396
2019-09-09 09:20:42steve.dowersetmessages: + msg351374
2019-06-29 00:13:15ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14279
2019-06-28 23:58:58ZackerySpytzcreate